Bug 840258 - bluetooth-wizard failed to setup DUN
bluetooth-wizard failed to setup DUN
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 23:34 EDT by Artemy Kapitula, RCNTEC Ltd
Modified: 2013-07-31 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:50:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artemy Kapitula, RCNTEC Ltd 2012-07-14 23:34:30 EDT
Description of problem:

bluetooth-wizard crashes while setting up DUN for a phone:

Version-Release number of selected component (if applicable):
$ rpm -qf `which bluetooth-wizard`
gnome-bluetooth-3.4.2-1.fc17.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Start bluetooth-wizard
2. Pair computer to phone
3. Check "Acessing the Internet  using your mobile phone (DUN)"
  
Actual results:

bluetooth-wizard crashes

Additional info:

When running bluetooth-wizard from console, I've got this output:

$ bluetooth-wizard 
** Message: has_config_widget 34:7E:39:33:A1:CF SyncMLClient
** Message: has_config_widget 34:7E:39:33:A1:CF SerialPort
** Message: has_config_widget 34:7E:39:33:A1:CF DialupNetworking
** Message: has_config_widget 34:7E:39:33:A1:CF OBEXObjectPush
** Message: has_config_widget 34:7E:39:33:A1:CF OBEXFileTransfer
** Message: has_config_widget 34:7E:39:33:A1:CF AudioSource
** Message: has_config_widget 34:7E:39:33:A1:CF A/V_RemoteControlTarget
** Message: has_config_widget 34:7E:39:33:A1:CF A/V_RemoteControl
** Message: has_config_widget 34:7E:39:33:A1:CF Headset_-_AG
** Message: has_config_widget 34:7E:39:33:A1:CF HandsfreeAudioGateway
** Message: has_config_widget 34:7E:39:33:A1:CF Phonebook_Access_-_PSE
** Message: has_config_widget 34:7E:39:33:A1:CF SyncMLClient
** Message: has_config_widget 34:7E:39:33:A1:CF SerialPort
** Message: has_config_widget 34:7E:39:33:A1:CF DialupNetworking
** Message: has_config_widget 34:7E:39:33:A1:CF OBEXObjectPush
** Message: has_config_widget 34:7E:39:33:A1:CF OBEXFileTransfer
** Message: has_config_widget 34:7E:39:33:A1:CF AudioSource
** Message: has_config_widget 34:7E:39:33:A1:CF A/V_RemoteControlTarget
** Message: has_config_widget 34:7E:39:33:A1:CF A/V_RemoteControl
** Message: has_config_widget 34:7E:39:33:A1:CF Headset_-_AG
** Message: has_config_widget 34:7E:39:33:A1:CF HandsfreeAudioGateway
** Message: has_config_widget 34:7E:39:33:A1:CF Phonebook_Access_-_PSE
** Message: Default Bluetooth adapter is powered
** Message: dun_start: starting DUN device discovery...

(bluetooth-wizard:2791): GLib-GObject-WARNING **: attempt to retrieve private data for invalid type 'DBusGProxy'
Segmentation fault
Comment 1 Andrew 2013-01-21 09:45:07 EST
Is there any update on this bug. Is there a work around for this issue.
Comment 2 Artemy Kapitula, RCNTEC Ltd 2013-01-21 22:05:29 EST
There is one workaround:
Login with KDE desktop and create connection.
Logout and login back with GNOME desktop.
Connection now will be available.
Comment 3 Fedora End Of Life 2013-07-03 16:39:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 16:50:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.